menu "owfs............................... 1-Wire Filesystem"

config BR2_COMPILE_OWFS
	tristate
	default n
	depends BR2_PACKAGE_OWFS || BR2_PACKAGE_OWTCL || BR2_PACKAGE_OWPHP


comment "OWFS - libraries"

config BR2_PACKAGE_OWLIB
	tristate "owlib - 1-Wire file system"
	select BR2_COMPILE_OWFS
	default m if CONFIG_DEVEL
	help

	  1-Wire file system.
	  Use the Dallas 1-Wire and iButton chips connected to a 1-wire adapter
	  on your serial port. 1-Wire devices are accessed through a mounted
	  fuse-filesystem or through a web-server (owhttpd).
	  
	  http://sourceforge.net/projects/owfs/

	  Depends: libpthread libusb


comment "OWFS - binaries"

config BR2_PACKAGE_OWFS
	tristate "owfs - 1-Wire file system"
	select BR2_PACKAGE_OWLIB
	default m if CONFIG_DEVEL
	help

	  1-Wire file system.
	  Use the Dallas 1-Wire and iButton chips connected to a 1-wire adapter
	  on your serial port. 1-Wire devices are accessed through a mounted
	  fuse-filesystem or through a web-server (owhttpd).
	  
	  http://sourceforge.net/projects/owfs/

	  Depends: owlib libpthread kmod-fuse libfuse fuse-utils


comment "OWFS - extra modules"

config BR2_PACKAGE_OWTCL
	tristate "owtcl - TCL module to handle a 1-Wire file system"
	select BR2_PACKAGE_OWLIB
	depends BR2_COMPILE_TCL8
	default m if CONFIG_DEVEL
	help

	  1-Wire file system.
	  Use the Dallas 1-Wire and iButton chips connected to a 1-wire adapter
	  on your serial port. 1-Wire devices are accessed through a mounted
	  fuse-filesystem or through a web-server (owhttpd).
	  
	  http://sourceforge.net/projects/owfs/

	  Depends: owlib tcl8


config BR2_PACKAGE_OWPHP
	tristate "owphp - PHP module to handle a 1-Wire file system"
	select BR2_PACKAGE_OWLIB
	depends BR2_COMPILE_PHP4 || BR2_COMPILE_PHP5
	default m if CONFIG_DEVEL
	help

	  1-Wire file system.
	  Use the Dallas 1-Wire and iButton chips connected to a 1-wire adapter
	  on your serial port. 1-Wire devices are accessed through a mounted
	  fuse-filesystem or through a web-server (owhttpd).
	  
	  http://sourceforge.net/projects/owfs/

	  Depends: owlib php4-cli


config BR2_PACKAGE_OWFS_SNAPSHOT
	bool "Use the daily snapshot of owfs?"
	depends BR2_PACKAGE_OWLIB
	depends CONFIG_DEVEL
	default n
	help
	  Use the latest owfs CVS snapshot instead of release version.

	  For fun, you should say Y.


endmenu
